| name | type | description |
|---|---|---|
| Authorization | header | Bearer token, see https://dev.d4science.org/how-to-access-resources |
| Content-Type | header | application/json |
| media type | data type |
|---|---|
| application/json | UseCaseDescriptor (JSON) |
| media type | data type | description |
|---|---|---|
| application/json | UseCaseDescriptor (JSON) |
POST /srv/ucd
Content-Type: application/json
Accept: application/json
Authorization: ...
{
"_relationshipDefinitions" : [ {
"_label" : "...",
"_reverseRelationId" : "...",
"_id" : "..."
}, {
"_label" : "...",
"_reverseRelationId" : "...",
"_id" : "..."
} ],
"_schema" : {
"property1" : { },
"property2" : { }
},
"_dataAccessPolicies" : [ {
"_enforcer" : {
"_filter" : "..."
},
"_policy" : {
"_read" : "own",
"_write" : "none"
},
"_roles" : [ "...", "..." ]
}, {
"_enforcer" : {
"_filter" : "..."
},
"_policy" : {
"_read" : "own",
"_write" : "any"
},
"_roles" : [ "...", "..." ]
} ],
"_mongoId" : {
"currentCounter" : 12345,
"timestamp" : 12345,
"generatedMachineIdentifier" : 12345,
"machineIdentifier" : 12345,
"counter" : 12345,
"date" : 12345,
"processIdentifier" : 12345,
"generatedProcessIdentifier" : 12345
},
"_version" : {
"value" : "...",
"major" : 12345,
"originalValue" : "...",
"patch" : 12345,
"stable" : true,
"build" : "...",
"minor" : 12345,
"suffixTokens" : [ "...", "..." ],
"type" : "COCOAPODS"
},
"_description" : "...",
"_creationInfo" : {
"_context" : {
"_id" : "...",
"_name" : "..."
},
"_user" : {
"_username" : "...",
"roles" : [ "...", "..." ]
},
"_instant" : "..."
},
"_name" : "...",
"_handlers" : [ {
"_type" : "...",
"_configuration" : {
"property1" : { },
"property2" : { }
},
"_id" : "..."
}, {
"_type" : "...",
"_configuration" : {
"property1" : { },
"property2" : { }
},
"_id" : "..."
} ],
"_id" : "..."
}
HTTP/1.1 201 Created
Content-Type: application/json
{
"_relationshipDefinitions" : [ {
"_label" : "...",
"_reverseRelationId" : "...",
"_id" : "..."
}, {
"_label" : "...",
"_reverseRelationId" : "...",
"_id" : "..."
} ],
"_schema" : {
"property1" : { },
"property2" : { }
},
"_dataAccessPolicies" : [ {
"_enforcer" : {
"_filter" : "..."
},
"_policy" : {
"_read" : "none",
"_write" : "none"
},
"_roles" : [ "...", "..." ]
}, {
"_enforcer" : {
"_filter" : "..."
},
"_policy" : {
"_read" : "any",
"_write" : "none"
},
"_roles" : [ "...", "..." ]
} ],
"_mongoId" : {
"currentCounter" : 12345,
"timestamp" : 12345,
"generatedMachineIdentifier" : 12345,
"machineIdentifier" : 12345,
"counter" : 12345,
"date" : 12345,
"processIdentifier" : 12345,
"generatedProcessIdentifier" : 12345
},
"_version" : {
"value" : "...",
"major" : 12345,
"originalValue" : "...",
"patch" : 12345,
"stable" : true,
"build" : "...",
"minor" : 12345,
"suffixTokens" : [ "...", "..." ],
"type" : "IVY"
},
"_description" : "...",
"_creationInfo" : {
"_context" : {
"_id" : "...",
"_name" : "..."
},
"_user" : {
"_username" : "...",
"roles" : [ "...", "..." ]
},
"_instant" : "..."
},
"_name" : "...",
"_handlers" : [ {
"_type" : "...",
"_configuration" : {
"property1" : { },
"property2" : { }
},
"_id" : "..."
}, {
"_type" : "...",
"_configuration" : {
"property1" : { },
"property2" : { }
},
"_id" : "..."
} ],
"_id" : "..."
}
| name | type | description |
|---|---|---|
| Authorization | header | Bearer token, see https://dev.d4science.org/how-to-access-resources |
| Content-Type | header | application/json |
| media type | data type |
|---|---|
| application/json | string (JSON) |
| media type | data type | description |
|---|---|---|
| application/json | Iterable (JSON) |
POST /srv/ucd/query
Content-Type: application/json
Accept: application/json
Authorization: ...
...
HTTP/1.1 201 Created
Content-Type: application/json
{ }
| name | type | description | default | constraints |
|---|---|---|---|---|
| Authorization | header | Bearer token, see https://dev.d4science.org/how-to-access-resources | ||
| Content-Type | header | application/json | ||
| usecase_id | path | |||
| force | query | false | boolean |
| media type | data type | description |
|---|---|---|
| application/json | boolean (JSON) |
DELETE /srv/ucd/{usecase_id}
Content-Type: */*
Accept: application/json
Authorization: ...
...
HTTP/1.1 204 No Content
Content-Type: application/json
...
| name | type | description |
|---|---|---|
| Authorization | header | Bearer token, see https://dev.d4science.org/how-to-access-resources |
| Content-Type | header | application/json |
| usecase_id | path |
| media type | data type | description |
|---|---|---|
| application/json | UseCaseDescriptor (JSON) |
GET /srv/ucd/{usecase_id}
Content-Type: */*
Accept: application/json
Authorization: ...
...
HTTP/1.1 200 OK
Content-Type: application/json
{
"_relationshipDefinitions" : [ {
"_label" : "...",
"_reverseRelationId" : "...",
"_id" : "..."
}, {
"_label" : "...",
"_reverseRelationId" : "...",
"_id" : "..."
} ],
"_schema" : {
"property1" : { },
"property2" : { }
},
"_dataAccessPolicies" : [ {
"_enforcer" : {
"_filter" : "..."
},
"_policy" : {
"_read" : "any",
"_write" : "none"
},
"_roles" : [ "...", "..." ]
}, {
"_enforcer" : {
"_filter" : "..."
},
"_policy" : {
"_read" : "own",
"_write" : "none"
},
"_roles" : [ "...", "..." ]
} ],
"_mongoId" : {
"currentCounter" : 12345,
"timestamp" : 12345,
"generatedMachineIdentifier" : 12345,
"machineIdentifier" : 12345,
"counter" : 12345,
"date" : 12345,
"processIdentifier" : 12345,
"generatedProcessIdentifier" : 12345
},
"_version" : {
"value" : "...",
"major" : 12345,
"originalValue" : "...",
"patch" : 12345,
"stable" : true,
"build" : "...",
"minor" : 12345,
"suffixTokens" : [ "...", "..." ],
"type" : "COCOAPODS"
},
"_description" : "...",
"_creationInfo" : {
"_context" : {
"_id" : "...",
"_name" : "..."
},
"_user" : {
"_username" : "...",
"roles" : [ "...", "..." ]
},
"_instant" : "..."
},
"_name" : "...",
"_handlers" : [ {
"_type" : "...",
"_configuration" : {
"property1" : { },
"property2" : { }
},
"_id" : "..."
}, {
"_type" : "...",
"_configuration" : {
"property1" : { },
"property2" : { }
},
"_id" : "..."
} ],
"_id" : "..."
}
| name | type | description |
|---|---|---|
| Authorization | header | Bearer token, see https://dev.d4science.org/how-to-access-resources |
| Content-Type | header | application/json |
| usecase_id | path |
| media type | data type |
|---|---|
| application/json | UseCaseDescriptor (JSON) |
| media type | data type | description |
|---|---|---|
| application/json | UseCaseDescriptor (JSON) |
PUT /srv/ucd/{usecase_id}
Content-Type: application/json
Accept: application/json
Authorization: ...
{
"_relationshipDefinitions" : [ {
"_label" : "...",
"_reverseRelationId" : "...",
"_id" : "..."
}, {
"_label" : "...",
"_reverseRelationId" : "...",
"_id" : "..."
} ],
"_schema" : {
"property1" : { },
"property2" : { }
},
"_dataAccessPolicies" : [ {
"_enforcer" : {
"_filter" : "..."
},
"_policy" : {
"_read" : "own",
"_write" : "none"
},
"_roles" : [ "...", "..." ]
}, {
"_enforcer" : {
"_filter" : "..."
},
"_policy" : {
"_read" : "none",
"_write" : "own"
},
"_roles" : [ "...", "..." ]
} ],
"_mongoId" : {
"currentCounter" : 12345,
"timestamp" : 12345,
"generatedMachineIdentifier" : 12345,
"machineIdentifier" : 12345,
"counter" : 12345,
"date" : 12345,
"processIdentifier" : 12345,
"generatedProcessIdentifier" : 12345
},
"_version" : {
"value" : "...",
"major" : 12345,
"originalValue" : "...",
"patch" : 12345,
"stable" : true,
"build" : "...",
"minor" : 12345,
"suffixTokens" : [ "...", "..." ],
"type" : "LOOSE"
},
"_description" : "...",
"_creationInfo" : {
"_context" : {
"_id" : "...",
"_name" : "..."
},
"_user" : {
"_username" : "...",
"roles" : [ "...", "..." ]
},
"_instant" : "..."
},
"_name" : "...",
"_handlers" : [ {
"_type" : "...",
"_configuration" : {
"property1" : { },
"property2" : { }
},
"_id" : "..."
}, {
"_type" : "...",
"_configuration" : {
"property1" : { },
"property2" : { }
},
"_id" : "..."
} ],
"_id" : "..."
}
HTTP/1.1 204 No Content
Content-Type: application/json
{
"_relationshipDefinitions" : [ {
"_label" : "...",
"_reverseRelationId" : "...",
"_id" : "..."
}, {
"_label" : "...",
"_reverseRelationId" : "...",
"_id" : "..."
} ],
"_schema" : {
"property1" : { },
"property2" : { }
},
"_dataAccessPolicies" : [ {
"_enforcer" : {
"_filter" : "..."
},
"_policy" : {
"_read" : "own",
"_write" : "none"
},
"_roles" : [ "...", "..." ]
}, {
"_enforcer" : {
"_filter" : "..."
},
"_policy" : {
"_read" : "any",
"_write" : "any"
},
"_roles" : [ "...", "..." ]
} ],
"_mongoId" : {
"currentCounter" : 12345,
"timestamp" : 12345,
"generatedMachineIdentifier" : 12345,
"machineIdentifier" : 12345,
"counter" : 12345,
"date" : 12345,
"processIdentifier" : 12345,
"generatedProcessIdentifier" : 12345
},
"_version" : {
"value" : "...",
"major" : 12345,
"originalValue" : "...",
"patch" : 12345,
"stable" : true,
"build" : "...",
"minor" : 12345,
"suffixTokens" : [ "...", "..." ],
"type" : "LOOSE"
},
"_description" : "...",
"_creationInfo" : {
"_context" : {
"_id" : "...",
"_name" : "..."
},
"_user" : {
"_username" : "...",
"roles" : [ "...", "..." ]
},
"_instant" : "..."
},
"_name" : "...",
"_handlers" : [ {
"_type" : "...",
"_configuration" : {
"property1" : { },
"property2" : { }
},
"_id" : "..."
}, {
"_type" : "...",
"_configuration" : {
"property1" : { },
"property2" : { }
},
"_id" : "..."
} ],
"_id" : "..."
}